#include <iostream>

using namespace std;

int main()
{
    string s;
    cin>>s;
   int q;
    scanf("%d", &q);
    while(q--)
    {
        int n, m, k=1;
        scanf("%d", &n);
        scanf("%d", &m);
        for(int i=n-1; i<m-1; i++)
        {
            if(s[i]>s[i+1]) {k++;}
        }
        printf("%d", k);
        cout<<'\n';
    }
}
